ComponentNetwork Class

class NXOpen.Positioning.ComponentNetwork

Bases: NXOpen.Positioning.Network

Network for use in positioning components in NX.

A component network extends the NXOpen.Positioning.Network by adding support for :py:class:`NXOpen.Assemblies.Arrangement`s.

Use NXOpen.Positioning.Positioner.EstablishNetwork() to create an instance of this class.

New in version NX6.0.0.

Properties

Property Description
DisplayComponent Returns or sets the Assemblies.Component in which the display is changed by solving the network.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
MoveObjectsState Returns or sets the move objects state for the network.
Name Returns the custom name of the object.
NetworkArrangementsMode Returns or sets the arrangements mode for this network.
NetworkSolveInWorksetMode Returns or sets the mode that moves components in the workset instead of the model.
NonMovingGroupGrounded Returns or sets the grounded state of non-moving_group objects.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.

Methods

Method Description
AddConstraint Add a Constraint to the network.
AddMovableObject Add a movable object to the network.
ApplyToModel Applies the current network state to the model.
BeginDrag Notify the network that a sequence of drag operations is about to begin.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DragByRay Move objects which have been added to the network using Positioning.Network.AddMovableObject().
DragByTransform Move objects which have been added to the network using Positioning.Network.AddMovableObject().
DragByTranslation Move objects which have been added to the network using Positioning.Network.AddMovableObject().
EmptyMovingGroup Remove all elements from the moving_group.
EndDrag Notify the network that a sequence of drag operations has ended.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetMovableObjectStatus Returns the solver status of a movable object.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
IsReferencedGeometryLoaded Are the necessary objects loaded so that all connected constraints can be included during a drag or solve ?
LoadReferencedGeometry Load the necessary objects so that all connected constraints can be included during a drag or solve.
Print Prints a representation of this object to the system log file.
RemoveAllConstraints Remove all :py:class:`Constraint`s which have been explcitly added to the network.
RemoveConstraint Remove a Constraint from the network.
RemoveMovableObject Remove a movable object from the network.
ResetDisplay Returns the display objects to their model positions.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetMovingGroup Set the elements of the moving_group.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Solve Solves the constraint network.

Enumerations

ComponentNetworkArrangementsMode Enumeration Specifies how changes in the network are applied to arrangements.

Property Detail

IsOccurrence

ComponentNetwork.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

ComponentNetwork.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

ComponentNetwork.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

NetworkArrangementsMode

ComponentNetwork.NetworkArrangementsMode

Returns or sets the arrangements mode for this network.

-------------------------------------

Getter Method

Signature NetworkArrangementsMode

Returns:The Positioning.ComponentNetworkArrangementsMode.
Return type:NXOpen.Positioning.ComponentNetworkArrangementsMode

New in version NX6.0.0.

License requirements: assemblies (“ASSEMBLIES MODULE”)

-------------------------------------

Setter Method

Signature NetworkArrangementsMode

Parameters:mode (NXOpen.Positioning.ComponentNetworkArrangementsMode) – The Positioning.ComponentNetworkArrangementsMode.

New in version NX6.0.0.

License requirements: assemblies (“ASSEMBLIES MODULE”)

NetworkSolveInWorksetMode

ComponentNetwork.NetworkSolveInWorksetMode

Returns or sets the mode that moves components in the workset instead of the model.

-------------------------------------

Getter Method

Signature NetworkSolveInWorksetMode

Returns:
Return type:bool

New in version NX12.0.0.

License requirements: assemblies (“ASSEMBLIES MODULE”)

-------------------------------------

Setter Method

Signature NetworkSolveInWorksetMode

Parameters:solveInWorkset (bool) –

New in version NX12.0.0.

License requirements: assemblies (“ASSEMBLIES MODULE”)

OwningComponent

ComponentNetwork.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

ComponentNetwork.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

ComponentNetwork.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

FindObject

ComponentNetwork.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Print

ComponentNetwork.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

ComponentNetwork.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.